Package org.kapott.hbci.tools

# Class TransactionsToXML

java.lang.Object
org.kapott.hbci.tools.TransactionsToXML

public class TransactionsToXML extends Object

## Constructor Summary

Constructors
Constructor
Description
`TransactionsToXML()`

## Method Summary

Modifier and Type
Method
Description
`void`
`createTransactionElements(Document doc, Element troot, List<GVRKUms.UmsLine> transactions)`
`Document`
`createXMLDocument(List<GVRKUms.UmsLine> transactions, String rawMT940)`
`void`
`writeXMLString(Document doc, OutputStream out)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### TransactionsToXML

public TransactionsToXML()

## Method Details

### createTransactionElements

public void createTransactionElements(Document doc, Element troot, List<GVRKUms.UmsLine> transactions)

### createXMLDocument

public Document createXMLDocument(List<GVRKUms.UmsLine> transactions, String rawMT940)

### writeXMLString

public void writeXMLString(Document doc, OutputStream out)